# == Class: telnet
#
# This module provides a class to manage telnet.
#
# === Parameters
#
# See telnet::params for parameters.
#
# === Examples
#
# class { 'telnet': }
#
# === License
#
# Copyright (C) 2013 Jeffrey Goettsch <jgoettsch@gmail.com>.
#
# This file is part of jgoettsch-telnet.
#
# jgoettsch-telnet is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jgoettsch-telnet is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jgoettsch-telnet.  If not, see <http://www.gnu.org/licenses/>.
#
class telnet {

  require telnet::params

  case $telnet::params::ensure {
    present,installed,absent,purged,held,latest: {
      $ensure_real = $telnet::params::ensure
    }
    default: {
      fail('ensure must be present, installed, absent, purged, held, or latest')
    }
  }

  package { 'telnet':
    ensure => $ensure_real,
  }
}
